# Uses of Class
javafx.scene.media.Track

Packages that use Track
Package
Description
javafx.scene.media
Provides the set of classes for integrating audio and video into Java FX Applications.

## Uses of Track in javafx.scene.media

Subclasses of Track in javafx.scene.media
Modifier and Type
Class
Description
`final class`
`AudioTrack`
A `Track` that describes an audio track.
`class`
`SubtitleTrack`
A `Track` that contains subtitle or captioning data to be rendered overlaying a video track.
`final class`
`VideoTrack`
A `Track` that describes a video track.
Methods in javafx.scene.media that return types with arguments of type Track
Modifier and Type
Method
Description
`final ObservableList<Track>`
Media.`getTracks()`
Retrieve the tracks contained in this media source.